Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163201 - pppd leaks comm channel file descriptor to /etc/ppp/ip-up
Summary: pppd leaks comm channel file descriptor to /etc/ppp/ip-up
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 23:57 UTC by Krzysztof Halasa
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-29 12:11:35 UTC


Attachments (Terms of Use)
This patch to pppd seems to fix this bug. (deleted)
2005-07-14 00:02 UTC, Krzysztof Halasa
no flags Details | Diff

Description Krzysztof Halasa 2005-07-13 23:57:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
pppd is designed to execute /etc/ppp/ip-up after IP negotiation is complete. To accomplish this is forks, closes internat file descriptors and execs ip-ip. However, it fails to close devfd, the file descriptor of the communication channel. If ip-up spawns further programs (such as a daemon), the file descriptor may remain open and pppd is unable to close/free the channel (in my case, ATM PVC
over Speed Touch DSL). For example, I can't restart pppd etc.

Version-Release number of selected component (if applicable):
ppp-2.4.2-7

How reproducible:
Always

Steps to Reproduce:
1. add "sleep 3600" to /etc/ppp/ip-up
2. run pppd (I use speedtch and pppoatm kernel drivers as the channel)
3. kill the pppd process
  

Actual Results:  pppd failed to free communication channel - cat /proc/net/atm/vc shows the PVC connection is still in use. It will be closed when "sleep 3600" timeouts or is killed.

Expected Results:  ppp should have closed (destroyed) the PVC.

Additional info:

Comment 1 Krzysztof Halasa 2005-07-14 00:02:43 UTC
Created attachment 116728 [details]
This patch to pppd seems to fix this bug.

Comment 2 Christian Iseli 2007-01-22 11:57:55 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Thomas Woerner 2007-07-23 15:32:30 UTC
Can you please try to rebuild and use the FC-5 ppp package, it contains lots of
fd fixes.

Comment 4 Thomas Woerner 2007-08-29 12:11:35 UTC
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".


Note You need to log in before you can comment on or make changes to this bug.